Anonymous | Login
Project:
RSS
  
News | My View | View Issues | Roadmap | Summary

View Issue DetailsJump to Notes ] Issue History ] Print ]
ID
0024740
TypeCategorySeverityReproducibilityDate SubmittedLast Update
defect[Openbravo ERP] A. Platformmajorhave not tried2013-09-11 12:562013-09-26 16:56
ReportercaristuView Statuspublic 
Assigned Toalostale 
PriorityurgentResolutionfixedFixed in Version3.0MP28
StatusclosedFix in branchFixed in SCM revision8ab8b14e8472
ProjectionnoneETAnoneTarget Version3.0MP28
OSAnyDatabaseAnyJava version
OS VersionDatabase versionAnt version
Product VersionSCM revision 
Review Assigned Toshankarb
Web browser
ModulesCore
Regression level
Regression date
Regression introduced in release
Regression introduced by commit
Triggers an Emergency PackNo
Summary

0024740: Filters for columns with list reference doesn't work properly on HQL defined selectors

DescriptionFilters for columns with list reference doesn't work properly on OBUISEL_Selector that make use of the HQL custom query.
Steps To ReproduceAs system admin:
1) Go to the [Reference] window
2) Look for the Product Simple reference
3) Navigate to the [Defined selector] tab
4) Add a new column with list refenrence in the hql query, for example p.costType as costtype
5) In the [Defined Selector Field] subtab add a new field for the previous defined column. Using the same example, put the following values:

Display Column Alias: costtype
Reference: Cost Type
Clause Left Part: p.costType
Default Expression: "AV"

6) Log-out and Log-in as group admin. Go to the Sales Invoice window, and open the product selector in the lines. Notice that the filter for the recent added column is not working.
TagsNo tags attached.
Attached Files

- Relationships Relation Graph ] Dependency Graph ]
related to defect 00248043.0MP28 closedshankarb Filters are not working properly for translated fields 

-  Notes
(0061390)
hgbot (developer)
2013-09-25 12:34

Repository: erp/devel/pi
Changeset: 8ab8b14e84724a2fb7b318a93c9c38471591d73a
Author: Asier Lostalé <asier.lostale <at> openbravo.com>
Date: Wed Sep 25 12:33:35 2013 +0200
URL: http://code.openbravo.com/erp/devel/pi/rev/8ab8b14e84724a2fb7b318a93c9c38471591d73a [^]

fixed bug 24740: filter list reference columns in HQL defined selectors

  Taking into account this case both in the view generation and in the DataSource

---
M modules/org.openbravo.userinterface.selector/src/org/openbravo/userinterface/selector/CustomQuerySelectorDatasource.java
M modules/org.openbravo.userinterface.selector/src/org/openbravo/userinterface/selector/SelectorComponent.java
---
(0061391)
alostale (developer)
2013-09-25 12:35

Tested following steps to reproduce both in English and Spanish (to ensure issue 0024804) does not reproduce here. Working fine in both cases.
(0061397)
hudsonbot (developer)
2013-09-25 19:58

A changeset related to this issue has been promoted main and to the
Central Repository, after passing a series of tests.

Promotion changeset: https://code.openbravo.com/erp/devel/main/rev/a06bf757c7ec [^]

Maturity status: Test
(0061423)
shankarb (developer)
2013-09-26 16:56

Code reviewed and verified in pi changeset f497481ca351

- Issue History
Date Modified Username Field Change
2013-09-11 12:56 caristu New Issue
2013-09-11 12:56 caristu Assigned To => AugustoMauch
2013-09-11 12:56 caristu Modules => Core
2013-09-11 12:56 caristu Triggers an Emergency Pack => No
2013-09-11 13:01 caristu Target Version => 3.0MP29
2013-09-11 13:01 caristu Steps to Reproduce Updated View Revisions
2013-09-11 13:02 caristu Issue Monitored: networkb
2013-09-11 18:47 caristu Priority high => urgent
2013-09-11 18:47 caristu Target Version 3.0MP29 => 3.0MP28
2013-09-19 13:54 caristu Severity minor => major
2013-09-23 08:33 alostale Relationship added related to 0024804
2013-09-25 12:19 alostale Assigned To AugustoMauch => alostale
2013-09-25 12:34 alostale Review Assigned To => shankarb
2013-09-25 12:34 hgbot Checkin
2013-09-25 12:34 hgbot Note Added: 0061390
2013-09-25 12:34 hgbot Status new => resolved
2013-09-25 12:34 hgbot Resolution open => fixed
2013-09-25 12:34 hgbot Fixed in SCM revision => http://code.openbravo.com/erp/devel/pi/rev/8ab8b14e84724a2fb7b318a93c9c38471591d73a [^]
2013-09-25 12:35 alostale Note Added: 0061391
2013-09-25 19:58 hudsonbot Checkin
2013-09-25 19:58 hudsonbot Note Added: 0061397
2013-09-26 16:56 shankarb Note Added: 0061423
2013-09-26 16:56 shankarb Status resolved => closed
2013-09-26 16:56 shankarb Fixed in Version => 3.0MP28


Copyright © 2000 - 2009 MantisBT Group
Powered by Mantis Bugtracker